Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Class ResponseDefStruct

    java.lang.Object
      com.fujitsu.iflow.model.workflow.ResponseDefStruct

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public final class ResponseDefStruct
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

The ResponseDefStruct class provides methods to get and set the values of responses. It is used by the `com.fujitsu.iflow.model.workflow.Dashboard` to manage the Key Performance Indicator (KPI).

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `actionDetails`
`java.lang.String` | `actionName`
`int` | `actionType`
`long` | `responseId`
`long` | `thresholdId`

Constructor Summary
`ResponseDefStruct()` Generates a new instance of the ResponseDefStruct

Method Summary
`ResponseDefStruct` | `cloneStruct()`
`java.lang.String` | `getActionName()` Gets the name of the action of the response.
`int` | `getActionType()` Gets the type of the action of the response.
`long` | `getResponseId()` Gets the ID of the response.
`long` | `getThresholdId()`
`java.lang.String` | `setActionDetails()` Gets the details of the action of the response.
`void` | `setActionDetails(java.lang.String actionDetails)` Sets the details of the action of the response.
`void` | `setActionName(java.lang.String actionName)` Sets the name of the action of the response.
`void` | `setActionType(int actionType)` Sets the action type of the response.
`void` | `setResponseId(long responseId)`
`void` | `setThresholdId(long thresholdId)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### responseId

    public long responseId

### thresholdId

    public long thresholdId

### actionType

    public int actionType

### actionName

    public java.lang.String actionName

### actionDetails

    public java.lang.String actionDetails

Constructor Detail

### ResponseDefStruct

    public ResponseDefStruct()

  Generates a new instance of the ResponseDefStruct

Method Detail

### toString

    public java.lang.String toString()

### setResponseId

    public void setResponseId(long responseId)

### setThresholdId

    public void setThresholdId(long thresholdId)

### setActionType

    public void setActionType(int actionType)

  Sets the action type of the response.

  Parameters:
    `actionType` - The number of the action type of the response.

### setActionName

    public void setActionName(java.lang.String actionName)

  Sets the name of the action of the response.

  Parameters:
    `actionName` - The new name of the action of the response.

### setActionDetails

    public void setActionDetails(java.lang.String actionDetails)

  Sets the details of the action of the response.

  Parameters:
    `actionDetails` - A string containing the details of the action.

### getResponseId

    public long getResponseId()

  Gets the ID of the response.

  Returns:
    The ID of the response.

### getThresholdId

    public long getThresholdId()

### getActionType

    public int getActionType()

  Gets the type of the action of the response.

  Returns:
    The number which represents the ActionType of the response.

### getActionName

    public java.lang.String getActionName()

  Gets the name of the action of the response.

  Returns:
    The name of the action of the response.

### setActionDetails

    public java.lang.String setActionDetails()

  Gets the details of the action of the response.

  Returns:
    A string containing the details of the action of the response. TODO This method has to be renamed to "getActionDetails"

### cloneStruct

    public ResponseDefStruct cloneStruct()
                                  throws ModelException

  Throws:
    `ModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD